Subject: Re: bug#13936: Default to UTF-8 for most Emacs source files

From: Kenichi Handa <[email-masked]>
Date: Sat, 06 Apr 2013 00:03:22 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > I thought Handa-san was working on that, and he bumped into some
> > problem he needs to fix, before the infrastructure for this is ready.

> I don't think Handa's work is related.  He's trying to improve the
> performance of Emacs when handling utf-8 files, whereas my request is
> for a change in behavior, regardless of performance.

If the performance is not the problem,

(with-coding-priority '(utf-8)
  (load-file "_FILE_NAME_"))

will work.  And, as I've just fixed the problem and
installed the optimization for ASCII and UTF-8 file reading,
the above code should run faster than before.

---
Kenichi Handa
[email-masked]